Create or update a consent record.post https://{tenanturl}/v1.0/privacy/consentsUse this API to create or update a consent record at runtime. Entitlements required: createPrivacyConsent (Create privacy consent records)Body ParamsConsent informationsubjectIdstringlength †256The unique identifier of the user. It is the Cloud Directory user ID if isExternalSubject is false.purposeIdstringrequiredlength †64The unique identifier of the purpose that the consent had been provided for.isExternalSubjectbooleanIndicates if the subjectId is a Cloud Directory user.truefalseisGlobalbooleanIndicates if the consent applies across all applications.truefalseattributeIdstringlength †1024The unique identifier of an attribute that the consent had been provided for. (required when data value provided)attributeValuestringlength †2048The value corresponding to the attributeId that the consent had been provided for.accessTypeIdstringlength †64The unique identifier of the AccessType that the consent had been provided for. It is either for the purpose or the attribute.geoIPstringlength †256The IP address where the consent was provided.stateintegerrequiredThe type of consent that the user provided: 1 - Consent allow, 2 - Consent deny, 3 - Opt in, 4 - Opt out, 5 - Transparency startTimeintegerConsent start time in epoch format. If not supplied a default value is set to the current timestampendTimeintegerConsent end time in epoch format. If not supplied a default value is set to the startTime + the purposeâs defaultConsentDuration value or nullcustomAttributesarray of objectscustomAttributesADD objectResponses 400Invalid Input Type OR Parse Error OR Missing Parameter OR Integer Value is out of Range 500An internal server error occured.Updated over 2 years ago